# $Revision: 1.27 $, $Date: 2008/08/17 16:09:27 $
Summary:	A utility which aims to decrease X session startup time
Summary(de.UTF-8):	Startet ein X-Programm und wartet auf dessen Fenster
Summary(es.UTF-8):	Dispara un programa X y espera por su ventana
Summary(fr.UTF-8):	Lance un programme X et attend sa fenêtre
Summary(pl.UTF-8):	Narzędzie mające na celu zmniejszenie czasu startu sesji X
Summary(pt_BR.UTF-8):	Dispara um programa X e espera pela sua janela
Summary(ru.UTF-8):	Утилита, помогающая уменьшить время запуска сеанса X Window
Summary(tr.UTF-8):	X programı açar ve penceresini bekler
Summary(uk.UTF-8):	Утиліта, що допомагає зменшити час запуску сеансу X Window
Name:		xtoolwait
Version:	1.3
Release:	6
License:	GPL v2
Group:		X11/Applications
Source0:	ftp://ftp.x.org/contrib/utilities/%{name}-%{version}.tar.gz
# Source0-md5:	6db998d882b17b35c9fa858432e345a6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xtoolwait is a utility which starts an X client in the background,
waits for a window to be mapped on the root window, and then exits.
Xtoolwait can improve performance for users who start a bunch of X
clients automatically (for example, xterm, xlock, xconsole, whatever)
when the X session starts.

Install xtoolwait if you'd like to try to speed up the startup time
for X sessions.

%description -l de.UTF-8
Utility zum Starten eines Programms und Abwarten des Aufbaus eines
Fensters. Kein Endbenutzer-Programm, jedoch nützlich zum Schreiben von
Skripts, die X-Window-Programme ausführen.

%description -l es.UTF-8
Utilitario para iniciar un programa y esperar por él, para hacer el
mapa de una ventana. ENOes un programa "end-user", pero es útil para
escribir scripts que ejecuten programas X Window.

%description -l fr.UTF-8
Utilitaire pour lancer un programme et attendre qu'il corresponde à
une fenêtre. Utile pour écrire des scripts qui lancent des programmes
X Window

%description -l tr.UTF-8
Bir programı çalıştırır ve penceresinin yaratılmasını bekler. Son
kullanıcıya yönelik bir uygulama değildir.

%description -l pl.UTF-8
Xtoolwait jest narzędziem, które uruchamia X klienta w tle, czeka na
okienko, które ma być podmapowane w głównym oknie, po czym kończy
działanie. Xtoolwait może zwiększyć wydajność dla użytkowników, którzy
uruchamiają dużo klientów X automatycznie (np. xterm, xlock, xconsole,
cokolwiek) przy starcie sesji X.

%description -l uk.UTF-8
Xtoolwait - це утиліта, яка запускає X клієнта в фоновому режимі,
чекає доки він відкриє своє вікно і завершується. Xtoolwait може
покращити час запуску для користувачів, котрі запускають пакет X
клієнтів автоматично (наприклад, xterm, xlock, xconsole і т.п.) при
запуску сеансу X Window.

%description -l pt_BR.UTF-8
Utilitário para iniciar um programa e esperar por ele para mapear uma
janela. Não é um programa "end-user", mas é útil para escrever scripts
que rodem programas X Window.

%description -l ru.UTF-8
Xtoolwait - это утилита, которая запускает X клиента в фоновом режиме,
ждет пока он откроет свое окно и затем завершается. Xtoolwait может
улучшить время запуска для пользователей, которые запускают пакет X
клиентов автоматически (например, xterm, xlock, xconsole, и т.п.) при
запуске сеанса X Window.

%description -l uk.UTF-8
Xtoolwait - це утиліта, яка запускає X клієнта в фоновому режимі,
чекає доки він відкриє своє вікно і завершується. Xtoolwait може
покращити час запуску для користувачів, котрі запускають пакет X
клієнтів автоматично (наприклад, xterm, xlock, xconsole і т.п.) при
запуску сеансу X Window.

%prep
%setup -q

%build
xmkmf
%{__make} \
	CC="%{__cc}" \
	CXXDEBUGFLAGS="%{rpmcflags}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR="%{_bindir}" \
	MANDIR="%{_mandir}/man1"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/xtoolwait
%{_mandir}/man1/xtoolwait.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xtoolwait.spec,v $
Revision 1.27  2008/08/17 16:09:27  adamg
- release 6

Revision 1.26  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.24  2006/10/16 10:44:11  glen
- adapter, cleanup; rel 5

Revision 1.23  2004/04/07 15:31:31  adamg
- pass BINDIR and MANDIR during make install

Revision 1.22  2004/04/07 15:12:00  adamg
- release 4 for Ac

Revision 1.21  2003/08/02 09:28:04  gotar
- fixed X Window System spelling

Revision 1.20  2003/05/28 13:03:15  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:28:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/01/18 22:58:57  juandon
- removed two lines with define

Revision 1.17  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.16  2002/11/29 22:48:27  ankry
- massive attack: new %doc

Revision 1.15  2002/02/28 22:35:33  kloczek
- merge also old translations from Bero.

Revision 1.14  2002/02/28 22:30:58  kloczek
- bump relase to 3 (for allow easy upgrade from RH),
- merge translations from KSI and Conectiva.

Revision 1.13  2002/02/28 21:54:24  kloczek
- pass correct CC="%{__cc}" to make parameters.

Revision 1.12  2002/02/28 20:19:48  blues
- 1.3
- more docs, License is GPL2 now.
  STB

Revision 1.11  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:45  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/24 11:10:11  qboosh
- adapterized, added pl description

Revision 1.7  2001/05/03 01:14:08  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.6  2000/06/09 07:24:23  kloczek
- added using %{__make} macro.

Revision 1.5  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:28  baggins
- almost raw
